# What is Live AML?

## What is this request?

This is the live version of the address security service. With this service, the wallets you follow will notify you when they make a bad transaction.

## What can I do with this service?

With this service, secure the wallets on our platform and minimize all possible risks. Be aware of everything instantly.

## Tutorial

```javascript
var axios = require('axios');

// Create Live AML Account Tracking
axios.post(
    'https://api.getdefy.co/v2/liveaml/create',
    {
      address: '0x787970ad122d5947579e613c2464d9540081b46f',
      webhook: 'WEBHOOK_URL',
      stream_webhook: 'STREAM_WEBHOOK_URL',
    },
    {
      headers: {
        apikey: 'API_KEY',
      },
    },
  )
  .then(function (response) {
    console.log(JSON.stringify(response.data));
  })
  .catch(function (error) {
    console.log(error);
  });
```

#### Options

* `address` (required): A user address (i.e. `0x1a2b3x...`). If specified, the user attached to the query is ignored and the address will be used instead.
* `webhook` (required): You will be notified with this webhook if this wallet does something bad.
* `stream_webhook` (optinoal): You will be notified with this webhook if this wallet does something. With this parameter you do not need any action for streaming.

## Example Webhook Data

With this data you can everything you want in your system.

```json
{
  "address": "0x28c6c06298d514db089934071355e5743bf21d60",
  "score": 100,
  "tags": {
    "mixer": false,
    "fake_kyc": false,
    "cybercrime": false,
    "new_wallet": false,
    "sanctioned": false,
    "direct_mixer": false,
    "indirect_mixer": false,
    "invalid_tokens": true,
    "direct_fake_kyc": false,
    "financial_crime": false,
    "stealing_attack": false,
    "money_laundering": false,
    "direct_cybercrime": false,
    "direct_sanctioned": false,
    "gambling_accounts": false,
    "indirect_fake_kyc": false,
    "blacklisted_tokens": false,
    "indirect_cybercrime": false,
    "indirect_sanctioned": false,
    "phishing_activities": false,
    "blacklisted_accounts": false,
    "blackmail_activities": false,
    "darkweb_transactions": false,
    "direct_financial_crime": false,
    "direct_stealing_attack": false,
    "direct_money_laundering": false,
    "direct_gambling_accounts": false,
    "indirect_financial_crime": false,
    "indirect_stealing_attack": false,
    "direct_blacklisted_tokens": false,
    "indirect_money_laundering": false,
    "direct_phishing_activities": false,
    "indirect_gambling_accounts": true,
    "direct_blacklisted_accounts": false,
    "direct_blackmail_activities": false,
    "direct_darkweb_transactions": false,
    "indirect_blacklisted_tokens": true,
    "indirect_phishing_activities": false,
    "indirect_blacklisted_accounts": true,
    "indirect_blackmail_activities": false,
    "indirect_darkweb_transactions": false,
    "number_of_malicious_contracts_created": false,
    "direct_number_of_malicious_contracts_created": false,
    "indirect_number_of_malicious_contracts_created": false
  },
  "hash": "0xba65cb8d6d377e0faac37309d66c4667a78a3a00db51c92962970ed08204b0fa",
  "block_number": 427911264,
  "hash_tags": {
    "indirect_blacklisted_accounts": true,
    "indirect_gambling_accounts": true
  },
  "created_at": "2024-05-07T08:02:05.181Z"
}
```

With this example our stream send this data for spesific hash. In this transaction this wallet contacted with **mixer** wallet. We are understanding this in hash\_tags variables. You can see **block number, hash number.** Also you can see **score** for this wallet. Scoring means 0 is bad and 100 is good.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getdefy.co/live-aml/what-is-live-aml.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
